/* $Id: PortalStartupListener.java 43 2007-09-04 13:16:52Z nilsga $
 * 
 * Copyright 2007 BEKK Consulting
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 */
package com.bekk.boss.pluto.embedded.util;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class PortalStartupListener implements ServletContextListener {

	private org.apache.pluto.driver.PortalStartupListener realStartupListener;
	
	public PortalStartupListener() {
		this.realStartupListener = new org.apache.pluto.driver.PortalStartupListener();
	}
	
	public void contextDestroyed(ServletContextEvent sce) {
		realStartupListener.contextDestroyed(sce);
	}

	public void contextInitialized(ServletContextEvent sce) {
		ServletContext wrapped = new WrappedServletContext(sce.getServletContext());
		realStartupListener.contextInitialized(new ServletContextEvent(wrapped));
	}

}
